# $Revision: 1.272.2.1 $, $Date: 2007/10/20 16:14:24 $
#
# Conditional build:
%bcond_without	aalib		# without aa plugin (which requires aalib)
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	print		# without print plugin (which requires gimp-print 4.2.x)
%bcond_without	python		# without python plugins
%bcond_with	posix_shm	# with POSIX SHM (default is SysV SHM)
%bcond_without	static_libs	# do not build static libraries
#
%define	mver	2.0
Summary:	The GNU Image Manipulation Program
Summary(de):	Das GNU-Bildbearbeitungs-Programm
Summary(es):	Programa de manipulacin de imagen GNU
Summary(fr):	Le programme de manipulation d'images de GNU
Summary(pl):	Program GNU do manipulacji formatami graficznymi (GIMP)
Summary(pt_BR):	Programa de manipulao de imagem GNU
Summary(ru):	The GNU Image Manipulation Program
Summary(tr):	izim, boyama ve grnt ileme program
Summary(uk):	The GNU Image Manipulation Program
Summary(zh_CN):	[ͼ]GNUͼ
Summary(zh_TW):	[Ϲ]GNU϶HBzu
Name:		gimp
Version:	2.2.13
Release:	2
Epoch:		1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.gimp.org/pub/gimp/v2.2/%{name}-%{version}.tar.bz2
# Source0-md5:	d84a4a476a0c4fae24602db67f6fe49a
Patch0:		%{name}-home_etc.patch
URL:		http://www.gimp.org/
%{?with_aalib:BuildRequires:	aalib-devel}
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
%{?with_print:BuildRequires:	gimp-print-devel < 4.3.0}
%{?with_print:BuildRequires:	gimp-print-devel >= 4.2.6}
BuildRequires:	gtk+2-devel >= 2:2.4.4
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	intltool
BuildRequires:	lcms-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libexif-devel
BuildRequires:	libgtkhtml-devel >= 2.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	librsvg-devel >= 2.2.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libwmf-devel >= 2:0.2.8
BuildRequires:	pkgconfig
%{?with_python:BuildRequires:	python-pygtk-devel >= 1.99.15}
%{?with_python:BuildRequires:	rpm-pythonprov}
Requires:	gtk+2 >= 2:2.4.4
%{?with_python:Requires:	python-pygtk-gtk >= 1.99.15}
Obsoletes:	gimp-data-min
Obsoletes:	gimp-libgimp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GIMP is an image manipulation program suitable for photo
retouching, image composition and image authoring. Many people find it
extremely useful in creating logos and other graphics for web pages.
The GIMP has many of the tools and filters you would expect to find in
similar commercial offerings, and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including
channel operations and layers, effects, sub-pixel imaging and
anti-aliasing, and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of
the included scripts rely on fonts that we cannot distribute. The GIMP
FTP site has a package of fonts that you can install by yourself,
which includes all the fonts needed to run the included scripts.

%description -l es
GIMP es un programa de manejo de imgenes adecuado para retoque de
fotos, composicin y editoracin de imgenes. Muchas personas lo
encuentran extremamente til en la creacin de logos y otros grficos
para pginas web. GIMP tiene muchas herramientas y filtros normalmente
encontrados en aplicaciones comerciales similares, adems de
caractersticas extras bien interesantes. GIMP ofrece una extensa caja
de herramientas de manejo de imagen, incluyendo camadas, efectos,
formacin de imagen subpxel y antialiasing, conversiones, todos con
deshacer en varios niveles (multi-level undo).

%description -l fr
Le Programme de Manipulation d'Image de GNU permet de retoucher des
photos, de raliser des compositions. Beaucoup de gens l'apprcient
pour la cration de logos et de graphismes pour les pages web. GIMP
dispose d'un grand nombre de filtres et de plug-ins que l'on ne trouve
que dans les logiciels commerciaux haut de gamme ainsi que de
nombreuses fonctionnalit indites.

GIMP fournit une boite  outil permettant de grer plusieurs calques,
de nombreux effets, l'anti-aliasing, les conversions de fichiers ainsi
qu'un grand nombre de niveaux d'annulation.

%description -l pl
Program GIMP jest przeznaczony do obrbki i tworzenia plikw w rnych
formatach graficznych. Przy jego uyciu mona tworzy grafik dla
stron WWW, retuszowa zdjcia, czy stworzy wasne logo.

GIMP dostarcza duy zestaw narzdzi do obrbki obrazw, w tym do
operowania na kanaach i warstwach, efektw, antyaliasingu oraz
konwersji, a to wszystko z wielopoziomowym cofaniem operacji.

%description -l pt_BR
O GIMP  um programa de manipulao de imagens adequado para retoque
de fotos, composio e editorao de imagens. Muitas pessoas o acham
extremamente til na criao de logos e outros grficos para pginas
web. O GIMP tem muitas ferramentas e filtros normalmente encontrados
em aplicaes comerciais similares, alm de caractersticas extras bem
interessantes.

O GIMP fornece uma extensa caixa de ferramentas de manipulao de
imagem, incluindo camadas, efeitos, formao de imagem subpxel e
anti-aliasing, converses, todos com desfazimento em vrios nveis
(multi-level undo).

%description -l ru
GIMP -       .  
        
web-. GIMP     , 
     ,   
,   .

GIMP        ,
   , , , sub-pixel imaging 
,        .

GIMP     (scripting facility),
       
 ,       .
FTP- GIMP   ,    
,   ,    
  .      
 ;      .
 ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz 
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz,  
       , 
    ,   .

%description -l uk
GIMP -       .  
    Ц  ϧ Ʀ 
web-Ҧ. GIMP   Ԧ  ƦҦ, ˦ 
  ǦΦ æΦ ,    ,
  .

GIMP   ¦ Ԧ    Ʀ, 
 æ  ,  (layers), , sub-pixel
imaging  ̦, ҦΦΦ     
Ҧ צ.

GIMP  Ц Ҧ (scripting facility),   
   Ҧ  Φ Ԧ, ˦ 
  Φ  . FTP- GIMP ͦ 
Ԧ, Ҧ    Ԧ,    Ӧ
, ȦΦ   Ҧ   GIMP. ˦ 
Ԧ   Φ ̦ڦΦ ; Ӧ ̦ڦ
   . 
ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz 
ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz.  
 Ҧ  ͦ   Ҧ Φ   
ͦ    Ҧ.

%package devel
Summary:	GIMP plugin and extension development kit
Summary(de):	GIMP-Plugin und Extension Development Kit
Summary(es):	Kit de desarrollo de "plugins" extensiones para GIMP
Summary(fr):	Plugin GIMP et kit de dveloppement d'extensions
Summary(pl):	Pliki do budowania moduw i rozszerze dla Gimpa
Summary(pt_BR):	Kit de desenvolvimento de "plugins" extenses para o GIMP
Summary(ru):	      GIMP
Summary(tr):	GIMP plugin ve uzant gelitirme aralar
Summary(uk):	Ҧ   ǦΦ   GIMP
Summary(zh_CN):	[]gimpĿ
Summary(zh_TW):	[}o]gimp}o]
License:	LGPL
Group:		X11/Development/Libraries
Requires(post,postun):	/sbin/ldconfig
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk+2-devel >= 2:2.4.4
Requires:	gtk-doc-common

%description devel
Header files for writing GIMP plugins and extensions.

%description devel -l de
Header-Dateien zum Schreiben von GIMP-Plugins und -Erweiterungen.

%description devel -l es
Bibliotecas y archivos de inclusin para escribir extensiones y
plugins para Gimp.

%description devel -l pl
Pliki nagwkowe do tworzenia wtyczek i rozszerze dla Gimpa.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para escrever extenses e plugins
para o Gimp.

%package static
Summary:	GIMP static libraries
Summary(pl):	Biblioteki statyczne Gimpa
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GIMP static libraries.

%description static -l es
Bibliotecas estticas para escribir extensiones y plugins para Gimp.

%description static -l pl
Biblioteki statyczne Gimpa.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento de plugins e extenses do
GIMP.

%package aa
Summary:	ASCII Art plugin for Gimp
Summary(fr):	Plugin d'art ASCII pour Gimp
Summary(pl):	Wtyczka do ASCII Art do Gimpa
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description aa
This package contains the ASCII Art plugin which requires the aalib
shared library.

%description aa -l fr
Ce paquet contient le plugin d'art ASCII qui ncssite la librairie
partage aalib.

%description aa -l pl
Ten pakiet zawiera wtyczk do Gimpa ze wsparciem do ASCII Art.

%package print
Summary:	Print plugin for Gimp
Summary(pl):	Wtyczka do drukowania dla Gimpa
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gimp-print-lib >= 4.2.6

%description print
Print plugin for Gimp.

%description print -l pl
Wtyczka do drukowania dla Gimpa.

%package svg
Summary:	SVG plugin for Gimp
Summary(pl):	Wtyczka SVG dla Gimpa
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	librsvg >= 2.2.0

%description svg
SVG plugin for Gimp.

%description svg -l pl
Wtyczka SVG dla Gimpa.

%prep
%setup -q
%patch0 -p1

cp /usr/share/automake/py-compile plug-ins/pygimp

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	%{!?with_print: --disable-print} \
	--disable-rpath \
	--enable-default-binary \
	%{?with_apidocs:--enable-gtk-doc} \
	--enable-mp \
	%{?with_python: --enable-python} \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_posix_shm:--with-shm=posix}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#########################################################
# This is hack indeed, but it was supposed to disappear #
# when version 2.0 will arrive but it doesn't :(        #
#########################################################

cat $RPM_BUILD_ROOT%{_datadir}/gimp/%{mver}/misc/gimp.desktop | \
	sed 's@/usr/share/gimp/%{mver}/images/@@' > \
	$RPM_BUILD_ROOT%{_desktopdir}/gimp.desktop
install data/images/wilber-icon.png $RPM_BUILD_ROOT%{_pixmapsdir}

################### end hack ############################

# Link gimptool to gimptool-2.0

ln -s gimptool-%{mver} $RPM_BUILD_ROOT%{_bindir}/gimptool
echo '.so gimptool-%{mver}' > $RPM_BUILD_ROOT%{_mandir}/man1/gimptool.1

# Remove obsolete files
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/%{mver}/modules/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/gimp/%{mver}/python/*.{a,la,py}
rm -f $RPM_BUILD_ROOT%{_datadir}/gimp/%{mver}/misc/gimp.{applications,desktop,keys}
rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
/sbin/ldconfig
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
/sbin/ldconfig
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%if %{with posix_shm}
%verifyscript
if ! grep -q -s '^[^ ]* /dev/shm tmpfs ' /proc/mounts ; then
	echo "/dev/shm is not mounted, but GIMP was compiled to use POSIX SHM"
fi
%endif

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%doc docs/{*.txt,quick_reference.*,Wilber*}

%attr(755,root,root) %{_bindir}/gimp-2.2
%attr(755,root,root) %{_bindir}/gimp
%attr(755,root,root) %{_bindir}/gimp-remote-2.2
%attr(755,root,root) %{_bindir}/gimp-remote
%{_desktopdir}/gimp.desktop
%{_mandir}/man1/gimp-2*
%{_mandir}/man1/gimp-remote-2*
%{_mandir}/man5/gimprc-2*

%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{mver}
%dir %{_libdir}/gimp/%{mver}/plug-ins
%attr(755,root,root) %{_libdir}/gimp/%{mver}/plug-ins/*
%{?with_aalib:%exclude %{_libdir}/gimp/%{mver}/plug-ins/aa}
%{?with_print:%exclude %{_libdir}/gimp/%{mver}/plug-ins/print}
%exclude %{_libdir}/gimp/%{mver}/plug-ins/svg

%dir %{_libdir}/gimp/%{mver}/modules
%attr(755,root,root) %{_libdir}/gimp/%{mver}/modules/*.so
%{_libdir}/gimp/%{mver}/environ

%if %{with python}
%dir %{_libdir}/gimp/%{mver}/python
%{_libdir}/gimp/%{mver}/python/*.py[co]
%{_libdir}/gimp/%{mver}/python/*.png
%attr(755,root,root) %{_libdir}/gimp/%{mver}/python/*.so
%endif

%dir %{_datadir}/gimp
%dir %{_datadir}/gimp/%{mver}
%{_datadir}/gimp/%{mver}/brushes
%{_datadir}/gimp/%{mver}/fractalexplorer
%{_datadir}/gimp/%{mver}/gfig
%{_datadir}/gimp/%{mver}/gflare
%{_datadir}/gimp/%{mver}/gimpressionist
%{_datadir}/gimp/%{mver}/gradients
%{_datadir}/gimp/%{mver}/images
%{_datadir}/gimp/%{mver}/menus
%{_datadir}/gimp/%{mver}/palettes
%{_datadir}/gimp/%{mver}/patterns
%{_datadir}/gimp/%{mver}/scripts
%{_datadir}/gimp/%{mver}/themes
%{_datadir}/gimp/%{mver}/tips
%dir %{_datadir}/gimp/%{mver}/misc

%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/%{mver}
%config %verify(not md5 mtime) %{_sysconfdir}/%{name}/%{mver}/gimprc*
%config(noreplace) %{_sysconfdir}/%{name}/%{mver}/templaterc
%config %{_sysconfdir}/%{name}/%{mver}/gtkrc*
%config %{_sysconfdir}/%{name}/%{mver}/ps-menurc
%config %{_sysconfdir}/%{name}/%{mver}/sessionrc
%config %{_sysconfdir}/%{name}/%{mver}/unitrc
%config %{_sysconfdir}/%{name}/%{mver}/controllerrc

%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gimptool-%{mver}
%attr(755,root,root) %{_bindir}/gimptool
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*
%{_gtkdocdir}/*

%{_includedir}/gimp-2.0
%{_aclocaldir}/gimp-2.0.m4

%{_mandir}/man1/gimptool-%{mver}*
%{_mandir}/man1/gimptool.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%if %{with aalib}
%files aa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gimp/%{mver}/plug-ins/aa
%endif

%if %{with print}
%files print
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gimp/%{mver}/plug-ins/print
%endif

%files svg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gimp/%{mver}/plug-ins/svg

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gimp.spec,v $
Revision 1.272.2.1  2007/10/20 16:14:24  glen
- rel 2

Revision 1.272  2006/11/21 15:25:39  charles
- reverted

Revision 1.271  2006/11/20 19:12:02  charles
- -devel R: pkgconfig (for gimptool script)

Revision 1.270  2006/08/26 09:42:34  qboosh
- updated to 2.2.13, removed obsolete desktop patch
- added verifyscript to check if /dev/shm is mounted (if built with posix_shm)

Revision 1.269  2006/07/22 15:47:39  qboosh
- updated to 2.2.12 (fixes CVE-2006-3404)
- removed obsolete gcc4 patch

Revision 1.268  2006/05/26 23:23:42  qboosh
- s/libungif/giflib/ in deps

Revision 1.267  2006/04/17 10:19:07  wrobell
- ver. 2.2.11

Revision 1.266  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.265  2006/01/11 16:39:39  freetz
- rel.2

Revision 1.264  2006/01/11 11:13:45  qboosh
- new gcc4 patch (should be needed only on x86, not x86_64)

Revision 1.263  2005/12/29 17:36:55  freetz
- 2.2.10

Revision 1.262  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.261  2005/12/02 02:13:09  adgor
- apidocs & static_libs bconds

Revision 1.260  2005/12/01 21:35:43  adgor
- Typo

Revision 1.259  2005/11/17 03:55:30  charles
- if with python then BR: rpm-pythonprov

Revision 1.258  2005/10/31 00:32:45  qboosh
- updated to 2.2.9

Revision 1.257  2005/10/23 18:21:39  freetz
- rel.3 (rebulid with new libgsf)

Revision 1.256  2005/09/16 09:35:09  arekm
- rel 2

Revision 1.255  2005/06/27 11:35:29  freetz
- 2.2.8

Revision 1.254  2005/05/09 04:58:53  aredridel
- up to 2.2.7

Revision 1.253  2005/04/12 19:23:57  adgor
- typo

Revision 1.252  2005/04/12 14:54:19  freetz
- reversed desktop-file-utils changes

Revision 1.251  2005/04/11 20:32:54  freetz
- R post, postun: desktop-file-utils

Revision 1.250  2005/04/11 16:35:19  freetz
- fixed typo

Revision 1.249  2005/04/11 16:05:13  freetz
- new style macros, dropped obsolete gnome-mime

Revision 1.248  2005/04/10 17:24:50  wolf
- 2.2.6

Revision 1.247  2005/03/21 08:50:28  havner
- rel up for libexif

Revision 1.246  2005/03/12 21:02:28  pluto
- gcc4 fix.

Revision 1.245  2005/02/25 17:55:31  wolf
- 2.2.4

Revision 1.244  2005/01/22 19:32:37  wolf
- 2.2.3

Revision 1.243  2005/01/10 17:23:32  wolf
- 2.2.2

Revision 1.242  2005/01/01 12:12:19  freetz
- 2.2.1, removed makefile patch and pygimp logo (already in sources)
- added POSIX shm bcond, ready for STBR

Revision 1.241  2004/12/26 21:34:51  havner
- rel 2 for rebuild with python 2.4

Revision 1.240  2004/12/23 22:24:45  qboosh
- updated gtk+2 version, BR: alsa-lib-devel (for libcontroller_midi)

Revision 1.239  2004/12/23 19:17:32  qboosh
- separated svg plugin (due to its deps)

Revision 1.238  2004/12/22 23:43:23  qboosh
- gnome-vfs2 dep belongs to librsvg

Revision 1.237  2004/12/21 21:01:23  freetz
- placed pygimp icon, ready for STBR

Revision 1.236  2004/12/21 20:30:42  freetz
- added missing png, makefile patch (to install this png), rereshed old
  py-compile, enabled posix shm by default, nfy

Revision 1.235  2004/12/19 13:56:19  wolf
- 2.2.0

Revision 1.234  2004/11/27 19:21:08  saq
- massive attack: more BR epoch fixes

Revision 1.233  2004/11/26 19:00:46  wolf
- merged DEVEL

Revision 1.218.2.15  2004/11/21 10:03:04  freetz
- 2.2 pre2, removed no->nb locale stuff, %%doc update

Revision 1.218.2.14  2004/11/02 12:19:46  freetz
- 2.2-pre1, %%files updated. looks like we have mver mess in this rel.

Revision 1.218.2.13  2004/10/15 11:12:22  jack
- added missing BR gnome-vfs2-devel

Revision 1.218.2.12  2004/10/15 05:45:24  wolf
- 2.1.7

Revision 1.218.2.11  2004/10/05 13:33:20  freetz
- one down, many more to go - 2.1.6

Revision 1.218.2.10  2004/09/20 12:59:31  freetz
- 2.1.5

Revision 1.218.2.9  2004/09/13 21:48:32  grzegol
- run /usr/bin/update-desktop-database in %%post and %%postun

Revision 1.218.2.8  2004/09/05 19:20:57  wolf
- 2.1.4

Revision 1.218.2.7  2004/08/06 14:08:16  wolf
- 2.1.3

Revision 1.218.2.6  2004/07/21 22:16:52  grzegol
- added missing file %%{_sysconfdir}/%%{name}/%%{mver}/controllerrc

Revision 1.218.2.5  2004/07/20 16:49:04  wolf
- 2.1.2

Revision 1.218.2.4  2004/06/29 19:55:02  wolf
- 2.1.1

Revision 1.218.2.3  2004/06/11 20:15:43  freetz
- rel. 2 for rebuild with new libcroco (soname change)

Revision 1.218.2.2  2004/06/10 20:58:07  freetz
- icon name fix

Revision 1.218.2.1  2004/06/05 21:04:37  freetz
- starting devel series: 2.1.0
